# Class Attachment

#### Hierarchy

- unknown
  - Attachment

- Defined in src/protobuf/pb_pb.d.ts:3185
- Defined in src/protobuf/pb_pb.d.ts:3202

#####
Index

### Constructors

constructor

### Methods

getBytes
getBytes_asB64
getBytes_asU8
getFileName
serializeBinary
setBytes
setFileName
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Attachment(): Attachment

- #### Returns Attachment

  Inherited from jspb.Message.constructor

## Methods

### getBytes

- getBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3189

### getBytes_asB64

- getBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3191

### getBytes_asU8

- getBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3190

### getFileName

- getFileName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3186

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3194

### setBytes

- setBytes(value: string | Uint8Array): Attachment

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Attachment

  - Defined in src/protobuf/pb_pb.d.ts:3192

### setFileName

- setFileName(value: string): Attachment

- #### Parameters

  - ##### value: string

  #### Returns Attachment

  - Defined in src/protobuf/pb_pb.d.ts:3187

### toObject

- toObject(includeInstance?: boolean): Attachment.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Attachment.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3195

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Attachment

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Attachment

  - Defined in src/protobuf/pb_pb.d.ts:3198

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Attachment, reader: BinaryReader): Attachment

- #### Parameters

  - ##### message: Attachment

  - ##### reader: BinaryReader

  #### Returns Attachment

  - Defined in src/protobuf/pb_pb.d.ts:3199

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Attachment, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Attachment

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:3197

### `Static` toObject

- toObject(includeInstance: boolean, msg: Attachment): Attachment.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Attachment

  #### Returns Attachment.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3196

Generated using TypeDoc